﻿@model List<eCommerce.Services.Model.MPAccountRelationship>
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Tablas de relaciones";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Cuentas de Mercado Pago</h1>
    <ol class="breadcrumb">
        <li class="active">Tablas de relaciones</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("MPAccountRelationshipSet", "MPAccounts", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off", @enctype = "multipart/form-data" }))
                    {
                        <table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
                            <thead>
                                <tr>
                                    <th>Tipo de usuario</th>
                                    <th>Condición ante el IVA</th>
                                    <th>Cuenta de Mercado Pago asociada</th>
                                </tr>
                            </thead>
                            <tbody>

                                @foreach (var item in Model)
                                {
                                    <tr>
                                        <td>@(((UserTypeEnum)item.UserType).ToString())</td>
                                        <td>@(((IvaConditionEnum)item.IvaConditionId).ToString())</td>
                                        <td>
                                            <select class="form-control" id="@("MPAccountId-" + item.IvaConditionId + "-" + item.UserType)" data-plugin="select2" onchange="SaveMPAccount(this)">
                                                @foreach (var opt in (SelectList)ViewData["MPAccounts"])
                                                {
                                                    <option value="@opt.Value" selected="@(item.MPAccountId == int.Parse(opt.Value))">@opt.Text</option>
                                                }
                                            </select>
                                        </td>

                                    </tr>
                                }
                                @*@foreach (UserTypeEnum UserType in Enum.GetValues(typeof(UserTypeEnum)))
                                {
                                    foreach (IvaConditionEnum IvaCondition in Enum.GetValues(typeof(IvaConditionEnum)))
                                    {
                                        int UserTypeId = 0;
                                        int IvaConditionId = 0;
                                        <tr>

                                            @switch (UserType)
                                            {
                                                case UserTypeEnum.Minorista:
                                                    UserTypeId = (int)UserTypeEnum.Minorista;
                                                    <td>Minorista</td>
                                                    break;
                                                case UserTypeEnum.Mayorista:
                                                    UserTypeId = (int)UserTypeEnum.Mayorista;
                                                    <td>Mayorista</td>
                                                    break;
                                                case UserTypeEnum.Distribuidor:
                                                    UserTypeId = (int)UserTypeEnum.Distribuidor;
                                                    <td>Distribuidor</td>
                                                    break;
                                            }

                                            @if (UserType == UserTypeEnum.Minorista)
                                            {
                                                /**/
                                                IvaConditionId = IvaConditionId = (int)IvaConditionEnum.ConsumidorFinal;
                                                <td>Consumidor Final</td>
                                            }
                                            else
                                            {
                                                switch (IvaCondition)
                                                {
                                                    case IvaConditionEnum.ConsumidorFinal:
                                                        IvaConditionId = (int)IvaConditionEnum.ConsumidorFinal;
                                                        <td>Consumidor Final</td>
                                                        break;
                                                    case IvaConditionEnum.Exento:
                                                        IvaConditionId = (int)IvaConditionEnum.Exento;
                                                        <td>Exento</td>
                                                        break;
                                                    case IvaConditionEnum.Monotributista:
                                                        IvaConditionId = (int)IvaConditionEnum.Monotributista;
                                                        <td>Monotributista</td>
                                                        break;
                                                    case IvaConditionEnum.ResponsableInscripto:
                                                        IvaConditionId = (int)IvaConditionEnum.ResponsableInscripto;
                                                        <td>Responsable Inscripto</td>
                                                        break;
                                                }
                                            }
                                            
                                            
                                            
                                        </tr>
                                    }
                                }*@
                            </tbody>
                        </table>
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section scripts{
    
<script>

    function SaveMPAccount(element) {
        debugger;
        var IvaConditionId = $(element).attr('id').split('-')[1];
        var UserTypeId = $(element).attr('id').split('-')[2];
        var Description = $(element).find('option:selected').text();
        $.ajax({
            url: "/MPAccounts/MPAccountUpdateRelationship",
            type: "POST",
            cache: false,
            data: { UserType : UserTypeId, IvaCondition : IvaConditionId, Description : Description},
            success: function (data) {
                if (data.Message == "Success") {
                    toastr.success("Se ha guardado la configuracion de cuenta de Mercado Pago");
                }
                else {
                    toastr.warning("Se ha producido un error al guardar la configuracion de cuenta de Mercado Pago");
                }
                
            }
        });

    }


</script>    
    
    
}